Bug 126989 - ipv6 asks for per_cpu____icmpv6_socket
ipv6 asks for per_cpu____icmpv6_socket
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 128399 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 02:43 EDT by Pete Zaitcev
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Workaround with fake input argument to asm() (552 bytes, patch)
2004-06-30 02:43 EDT, Pete Zaitcev
no flags Details | Diff
Better upstream patch (3.63 KB, patch)
2004-07-01 09:08 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Pete Zaitcev 2004-06-30 02:43:00 EDT
modprobe ipv6 says that per_cpu____icmpv6_socket undefined,
which is a static variable in net/ipv6/icmp.c.
This happens because all references to that variable are
done by asm code in percpu.h and gcc optimized the variable away.
Comment 1 Pete Zaitcev 2004-06-30 02:43:57 EDT
Created attachment 101532 [details]
Workaround with fake input argument to asm()
Comment 2 Pete Zaitcev 2004-06-30 02:49:53 EDT
<wli> zaitcev: try __attribute__((used))
Comment 3 Pete Zaitcev 2004-07-01 09:08:49 EDT
Created attachment 101558 [details]
Better upstream patch

Martin says that Uli said that "X" constraint is available in all compilers.
Comment 4 Pete Zaitcev 2004-07-22 14:05:05 EDT
*** Bug 128399 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2004-12-07 01:04:16 EST
fixed in current trees ?
Comment 6 Dave Jones 2005-04-16 01:02:00 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.